Enqueue a run (warm_up or post).
curl --request POST \
--url https://{origin}/v1/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_username": "<string>",
"device_udid": "<string>",
"input": {
"upload_id": "<string>",
"disposition": "post_now",
"caption": "<string>"
},
"scheduled_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://{origin}/v1/runs"
payload = {
"account_username": "<string>",
"device_udid": "<string>",
"input": {
"upload_id": "<string>",
"disposition": "post_now",
"caption": "<string>"
},
"scheduled_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_username: '<string>',
device_udid: '<string>',
input: {upload_id: '<string>', disposition: 'post_now', caption: '<string>'},
scheduled_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://{origin}/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema": "1.0",
"run": {
"run_id": "<string>",
"status": "queued",
"type": "<string>",
"account_username": "<string>",
"device_udid": "<string>",
"upload_id": "<string>",
"disposition": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
}{
"schema": "1.0",
"run": {
"run_id": "<string>",
"status": "queued",
"type": "<string>",
"account_username": "<string>",
"device_udid": "<string>",
"upload_id": "<string>",
"disposition": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
}{
"schema": "1.0",
"error": {
"code": "<string>",
"message": "<string>",
"data": "<unknown>"
}
}{
"schema": "1.0",
"error": {
"code": "<string>",
"message": "<string>",
"data": "<unknown>"
}
}{
"schema": "1.0",
"error": {
"code": "<string>",
"message": "<string>",
"data": "<unknown>"
}
}{
"schema": "1.0",
"error": {
"code": "<string>",
"message": "<string>",
"data": "<unknown>"
}
}{
"schema": "1.0",
"error": {
"code": "<string>",
"message": "<string>",
"data": "<unknown>"
}
}{
"schema": "1.0",
"error": {
"code": "<string>",
"message": "<string>",
"data": "<unknown>"
}
}Enqueue a run (warm_up or post).
POST
/
v1
/
runs
Enqueue a run (warm_up or post).
Authorizations
The access_token from the exchange endpoint.
Headers
Dedupes a post run; a duplicate key returns the original run (200).
Body
application/json
⌘I